Welcome to the Question2Answer Q&A. There's also a demo if you just want to try it out.
+1 vote
8.2k views
in Plugins by
edited by

Hi,all

   I apply the Oauth on google developer console and set the redirect uri as request.

   The open login plugin is :

   

   

 

   But I got the error as follow:

   

   How can I fix it and make the google login work?I try to search the google doc and I can not understand.Is that the version of plugin is out of date?

   I updated the hybridauth core code inside the login plugin : https://github.com/hybridauth/hybridauth ,and it got the same error.

   Thanks all for your help.

   

Q2A version: 1.7.1

1 Answer

0 votes
by
"index.php" is extra in your redirect URI - may be you are not using .htaccess and fancy URL. Anyway register the exact same call back URI as shown in the error by Google in your API and it should work fine.
by
Thanks! I just found that problem today and it was solved. The URI offerby the offical version of the plugin is different from the error message!
Thanks again.
by
You are welcome..
...